QStoredDrag(3qt)

NAME
QStoredDrag - Simple stored-value drag object for arbitrary MIME data

SYNOPSIS
#include <ntqdragobject.h>

Inherits QDragObject.

Inherited by QUriDrag and QColorDrag.

  Public Members
QStoredDrag ( const char * mimeType, TQWidget * dragSource = 0, const char * name = 0 )
~QStoredDrag ()
virtual void setEncodedData ( const QByteArray & encodedData )
virtual QByteArray encodedData ( const char * m ) const

DESCRIPTION
The QStoredDrag class provides a simple stored-value drag object for arbitrary MIME data.

When a block of data has only one representation, you can use a QStoredDrag to hold it.

For more information about drag and drop, see the QDragObject class and the drag and drop documentation.

See also Drag And Drop Classes.

MEMBER FUNCTION DOCUMENTATION

QStoredDrag::QStoredDrag ( const char * mimeType, TQWidget * dragSource = 0, const char * name = 0 )
Constructs a QStoredDrag. The dragSource and name are passed to the QDragObject constructor, and the format is set to mimeType.

The data will be unset. Use setEncodedData() to set it.

QStoredDrag::~QStoredDrag ()
Destroys the drag object and frees up all allocated resources.

QByteArray QStoredDrag::encodedData ( const char * m ) const [virtual]
Returns the stored data. m contains the data's format.

See also setEncodedData().

Reimplemented from QMimeSource.

void QStoredDrag::setEncodedData ( const QByteArray & encodedData ) [virtual]
Sets the encoded data of this drag object to encodedData. The encoded data is what's delivered to the drop sites. It must be in a strictly defined and portable format.

The drag object can't be dropped (by the user) until this function has been called.

SEE ALSO
http://doc.trolltech.com/qstoreddrag.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive TQt documentation is provided in HTML format; it is located at $TQTDIR/doc/html and can be read using TQt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (tqstoreddrag.3qt) and the Qt version (3.3.8).